"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs_1 = require("fs");
var Bluebird = require("bluebird");
var rimraf = require("rimraf");
var promisify = Bluebird.promisify;
var rimrafAsync = promisify(rimraf);
exports.rimrafAsync = rimrafAsync;
function dequote(input) {
    input = input.trim();
    var singleQuote = input.startsWith("'") && input.endsWith("'");
    var doubleQuote = input.startsWith('"') && input.endsWith('"');
    if (singleQuote || doubleQuote) {
        return input.slice(1).slice(0, -1);
    }
    return input;
}
exports.dequote = dequote;
var readFileAsync = promisify(fs_1.readFile);
exports.readFileAsync = readFileAsync;
var writeFileAsync = promisify(fs_1.writeFile);
exports.writeFileAsync = writeFileAsync;
var statAsync = promisify(fs_1.stat);
var isWindows = process.platform === 'win32';
exports.isWindows = isWindows;
function pathExistsAsync(path) {
    return statAsync(path).then(function (x) { return true; }).catch({ code: 'ENOENT' }, function () { return false; });
}
exports.pathExistsAsync = pathExistsAsync;
function isDirectoryAsync(path) {
    return statAsync(path).then(function (x) { return x.isDirectory(); }).catch({ code: 'ENOENT' }, function () { return false; });
}
exports.isDirectoryAsync = isDirectoryAsync;
